//*************************************************************
 /**
 * システム名     コア物品／発注者
 * サブシステム名 発注者
 * 調達案件情報登録機能
 * @author  NEC
 * @version 1.0, 2002.07.23, 新規作成<BR>
 *          1.1, 2003.09.01, 連絡票168対応<BR>
 *          3.1, 2003.10.22, V3.1-総合-032対応<BR>
 *          4.0, 2004.03.31, V4-無効通知書発行対応<BR>
 *          4.0, 2004.04.08, 案件検索機能の強化<BR>
 */
//*************************************************************

/* HTML読込み時の初期処理 */
function onStart() {         //EbHPD001Body.js
  /* HTMLが読み込まれた際に、初期処理用関数を呼び出す */

  // クライアント種別の設定
  updateClientKind();

  // メニューの変更
  changeMenu  ( "EbA0CMenu01.jsp" );

  onLoad();
}

/* 検索実行 */
function submitQuery() {   //EbHPD001Body.js

  document.formHPD000101.searchProjectNumber.value = document.formProject.searchProjectNumber.value;
  document.formHPD000101.searchProjectName.value = document.formProject.searchProjectName.value;
  document.formHPD000101.tenderMethodCode.value = document.formProject.tenderMethodCode.options[document.formProject.tenderMethodCode.selectedIndex].value;
  document.formHPD000101.officeNumber.value = document.formProject.officeName.options[document.formProject.officeName.selectedIndex].value;
  document.formHPD000101.searchSubmitDateFrom.value = document.formProject.searchSubmitDateFrom.value;
  document.formHPD000101.searchSubmitDateTo.value = document.formProject.searchSubmitDateTo.value;
  document.formHPD000101.searchExecuteDateFrom.value = document.formProject.searchExecuteDateFrom.value;
  document.formHPD000101.searchExecuteDateTo.value = document.formProject.searchExecuteDateTo.value;
  document.formHPD000101.projectStatusCode.value = document.formProject.projectStatusCode.options[document.formProject.projectStatusCode.selectedIndex].value;
  document.formHPD000101.nextListStartIndex.value = "1";
  document.formHPD000101.showRange.value = document.formProject.showRange.value;

  dispatch( document.formHPD000101, "H502HPD001" );

  // 処理区分に0(新規検索)を設定
  document.formHPD000101.syoriKbn.value ="0";

  // 案件表示順序selectコンポーネント設定
  /* 案件表示順序コンボBOXの何番めが選択状態かを取得 */
  var n = document.formProject.sortNo.selectedIndex;
  /* 案件表示順序のN番目のvalue値を設定 */
  document.formHPD000101.sortNo.value = document.formProject.sortNo.options[n].value;

  // 昇順･降順radioコンポーネント設定
  if (document.formProject.sortFlag[0].checked) {
    document.formHPD000101.sortFlag.value = document.formProject.sortFlag[0].value;
  }else if (document.formProject.sortFlag[1].checked) {
    document.formHPD000101.sortFlag.value = document.formProject.sortFlag[1].value;
  }
}

/* 「次へ」「前へ」ボタン及びページインデックスによる遷移 */
function searchIndex(argIndex)
{
  //引数を表示開始位置に設定する
  document.formHPD000101.nextListStartIndex.value = argIndex



  // 処理区分に1(セッションの検索条件で検索, 表示開始位置のみ更新)を設定
  document.formHPD000101.syoriKbn.value ="1";

  dispatch( document.formHPD000101, "H502HPD001" );
}

/* 調達案件情報画面に遷移 */
function chotatsu_anken_hyouzi(arg) {
  document.formRegist.projectNumber.value =arg;
  dispatchPopup( document.formRegist, "H509HPR005");
}

/* 証明書等審査判定画面に遷移 */
function syoumeisyo_sinsa(arg) { //EbHPD001List.js


  document.formHPD000102.projectNumber.value=arg;
  dispatch( document.formHPD000102, "H502HCE001" );
  
}

/* 参加申請書受付対象一覧画面に遷移 */
function syoumeisyo_uketuke(arg) { //EbHPD001List.js

  document.formHPD000102.projectNumber.value=arg;
  dispatch( document.formHPD000102, "H610HTS039" );
  
}

/* 入札(見積)状況確認画面に遷移 */
function nyuusatu_zyoukyou(arg) { //EbHPD002List.js 

  document.formHPD000102.projectNumber.value=arg;
  dispatch( document.formHPD000102, "H5371CTS001" );
}

/* 開札・落札状況確認画面に遷移 */
function kaisatu_zyoukyou(arg) { //EbHPD002List.js 
  document.formRegist.projectNumber.value=arg;
  document.formRegist.subjectType.value = "00";
  dispatch( document.formRegist, "H5371CTS001" );
}

/* 入札受付状況一覧画面に遷移 */
function nyuusatu_uketuke(arg) { //EbHPD002List.js  

  document.formHPD000102.projectNumber.value=arg;
  dispatch( document.formHPD000102, "H612HTS041" );
}

/* 参加資格確認画面に遷移 */
function shikaku_kakunin(arg) { //EbHPD003List.js

  document.formHPD000102.projectNumber.value=arg;
  dispatch( document.formHPD000102, "H5021HTS001" );
  
}

/* 紙入札情報登録画面に遷移 */
function kaisatsu_gyoumu(argID, argCode, ps, dt, tcnt, ecnt) { //EbHPD004List.js
  
  var ID;

  document.formHPD000102.tenderExecuteCount.value=tcnt;
  document.formHPD000102.estimateExecuteCount.value=ecnt;

  if( ( ps=="90" && dt=="02" ) || ( ps=="70" && dt=="05" ) )
  {
    ID="H5452HTS013";
  } else if( 
    ( ( ps=="70" || ps=="80" ) && ( dt=="00" || dt=="01" || dt=="02" ) ) || 
    ( ps=="70" && dt=="05" ) )
  {
    ID="H5472HTS015";
  } else if( ps=="70" && ( dt=="03" || dt=="04" ) ){
    ID="H555HTS023";
  } else if( ps=="60" ) {
    ID="H549HTS013";
  } else {
    ID="H502HTS009";
  }

  document.formHPD000102.projectNumber.value=argID;
  dispatch( document.formHPD000102, ID );
  
}

